package com.kingdee.eas.custom.permissioncontrol;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPermApplyBillHisOrgScopeApplyEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractPermApplyBillHisOrgScopeApplyEntryInfo()
    {
        this("id");
    }
    protected AbstractPermApplyBillHisOrgScopeApplyEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 历史组织范围申请明细分录 's null property 
     */
    public com.kingdee.eas.custom.permissioncontrol.PermApplyBillInfo getParent()
    {
        return (com.kingdee.eas.custom.permissioncontrol.PermApplyBillInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.permissioncontrol.PermApplyBillInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 历史组织范围申请明细分录 's 组织单元 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("orgUnit");
    }
    public void setOrgUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("orgUnit", item);
    }
    /**
     * Object:历史组织范围申请明细分录's 是否包含下级property 
     */
    public boolean isIsIncludeSub()
    {
        return getBoolean("isIncludeSub");
    }
    public void setIsIncludeSub(boolean item)
    {
        setBoolean("isIncludeSub", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("EF660C86");
    }
}